org.eclipse.ease.lang.unittest.runtime

## Interface ITestResult

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IStackTraceContainer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestResult

    public interface ITestResult
    extends IStackTraceContainer

A representation of the model object 'Test Result'.

The following features are supported:

- `Status`
- `Message`

See Also:
  `IRuntimePackage.getTestResult()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getMessage()` Returns the value of the 'Message' attribute.
`TestStatus` `getStatus()` Returns the value of the 'Status' attribute.
`void` `setMessage(java.lang.String value)` Sets the value of the '`Message`' attribute.
`void` `setStatus(TestStatus value)` Sets the value of the '`Status`' attribute.

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.IStackTraceContainer

`getStackTrace, setStackTrace`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStatus

    TestStatus getStatus()

Returns the value of the 'Status' attribute. The literals are from the enumeration `TestStatus`.

If the meaning of the 'Status' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Status' attribute.
See Also:
  `TestStatus`, `setStatus(TestStatus)`, `IRuntimePackage.getTestResult_Status()`

#### setStatus

    void setStatus(TestStatus value)

Sets the value of the '`Status`' attribute.

Parameters:
  `value` - the new value of the 'Status' attribute.
See Also:
  `TestStatus`, `getStatus()`

#### getMessage

    java.lang.String getMessage()

Returns the value of the 'Message' attribute.

If the meaning of the 'Message' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Message' attribute.
See Also:
  `setMessage(String)`, `IRuntimePackage.getTestResult_Message()`

#### setMessage

    void setMessage(java.lang.String value)

Sets the value of the '`Message`' attribute.

Parameters:
  `value` - the new value of the 'Message' attribute.
See Also:
  `getMessage()`